import 'package:flutter/material.dart';

import 'sections/about_section.dart';
import 'sections/account_section.dart';
import 'sections/appearance_section.dart';
import 'sections/files_section.dart';
import 'sections/modules_section.dart';
import 'sections/talk_section.dart';
import 'sections/timetable_section.dart';

class Settings extends StatelessWidget {
  const Settings({super.key});

  @override
  Widget build(BuildContext context) => Scaffold(
    appBar: AppBar(title: const Text('Einstellungen')),
    body: ListView(
      children: const [
        AccountSection(),
        Divider(),
        AppearanceSection(),
        Divider(),
        ModulesSection(),
        Divider(),
        TimetableSection(),
        Divider(),
        TalkSection(),
        Divider(),
        FilesSection(),
        Divider(),
        AboutSection(),
      ],
    ),
  );
}
